#
# Copyright (c) 2014-2019,2021 LAAS/CNRS
# All rights reserved.
#
# Redistribution and use  in source  and binary  forms,  with or without
# modification, are permitted provided that the following conditions are
# met:
#
#   1. Redistributions of  source  code must retain the  above copyright
#      notice and this list of conditions.
#   2. Redistributions in binary form must reproduce the above copyright
#      notice and  this list of  conditions in the  documentation and/or
#      other materials provided with the distribution.
#
#                       Joudy Nader - January 2022
#                       based on optitrack-genom3 from Anthony Mallet
#

lib_LTLIBRARIES = libqualisys_codels.la

libqualisys_codels_la_SOURCES  =	qualisys_c_types.h
libqualisys_codels_la_SOURCES +=	qualisys_codels.cc
libqualisys_codels_la_SOURCES +=	qualisys_publish_codels.cc
libqualisys_codels_la_SOURCES +=	ports.cc

libqualisys_codels_la_CPPFLAGS =	$(requires_CFLAGS)
libqualisys_codels_la_LIBADD   =	$(requires_LIBS)
libqualisys_codels_la_CPPFLAGS+=	$(codels_requires_CFLAGS)
libqualisys_codels_la_LIBADD  +=	$(codels_requires_LIBS)
libqualisys_codels_la_LDFLAGS  =	-release $(PACKAGE_VERSION)
libqualisys_codels_la_LDFLAGS +=	-lqualisys_cpp_sdk


# idl  mappings
BUILT_SOURCES=	qualisys_c_types.h
CLEANFILES=	${BUILT_SOURCES}

qualisys_c_types.h: ${top_srcdir}/qualisys.gen
	${GENOM3}  mappings \
	  -MD -MF .deps/$@.d -MT $@ --signature -l c $< >$@

-include .deps/qualisys_c_types.h.d
